Etiketler

9 Nisan 2020 Perşembe

AutoCAD ile VBA Makro Kullanımı #6-3




Slot(oyuk) çizen VBA makro kodları:

Sub SLOT()
' Slot (oyuk) çizer
' Makro kodu: Mesut Akcan
' 30 Mart 2020
' www.akcanSoft.com
Dim c As AcadLine
Dim yay As AcadArc
pi = 4 * Atn(1)     '3,14159265358979
a90 = pi / 2        'Açı 90 - radyan
a270 = pi * 3 / 2   'Açı 270 - radyan

With ThisDrawing.Utility
    n1 = .GetPoint(, "Birinci merkez nokta:")
    n2 = .GetPoint(n1, "İkinci merkez nokta:")
    
    Set c = ThisDrawing.ModelSpace.AddLine(n1, n2)
    c.color = acGreen
    c.Highlight True
    
    r = .GetDistance(n2, "Yarıçap:")
    c.Delete
    
    a = .AngleFromXAxis(n1, n2)
    
    p1 = .PolarPoint(n1, a + a90, r)
    p2 = .PolarPoint(n2, a + a90, r)
    
    Set c = ThisDrawing.ModelSpace.AddLine(p1, p2)
    
    p1 = .PolarPoint(n1, a + a270, r)
    p2 = .PolarPoint(n2, a + a270, r)
    
    Set c = ThisDrawing.ModelSpace.AddLine(p1, p2)
End With
    
With ThisDrawing.ModelSpace
    Set yay = .AddArc(n1, r, a + a90, a + a270)
    Set yay = .AddArc(n2, r, a + a270, a + a90)
End With

End Sub


Hiç yorum yok:

Yorum Gönderme